import { ChangeDetectorRef, EventEmitter, OnInit } from "@angular/core";
export declare class CheckboxGroupComponent implements OnInit {
    private ref;
    constructor(ref: ChangeDetectorRef);
    name: any;
    value: any[];
    dataSource: any[];
    orientation: "horizontal" | "vertical";
    fields: {
        text: string;
        value: string;
        disabled: string;
    };
    disabled: boolean;
    error: boolean;
    valueChange: EventEmitter<any>;
    translation: any;
    indeterminate: boolean;
    ngOnInit(): void;
    readonly enabledDataSource: any[];
    onChange(event: any, option: any): void;
    onSelectAll(event: any): void;
    calculateIndeterminate(result: any): void;
}
